# whenever we got results, do the control
/^sim / {
	print "log " $0
	temp=$2

# calculate control output, between 0 and 1
	ctrl = (temp - target) / 12.0
	if (ctrl < 0)
		ctrl = 0
	if (ctrl > 1)
		ctrl = 1

# print control output
	print "ctrl " ctrl
	fflush()
	next
}

# change target from CLI
/^CLI target / {
	target = $3
	print "log new target temp: " target
	next
}

# catch-all rules
/^CLI / {
	print "log ERROR: unknown command on CLI: " $0
	fflush()
	next
}

{
	print "log ERROR: unknown input prefix: " $0
	fflush()
}
