# Because reference and target run in parallel, the output normally would be:
# t1
# T1
# t2
# T2
#
# However, if we pause target for long enough, we can let reference to
# finish before target even starts and the new order will be:
# t1
# t2
# T1
# T2

include stdio

reference={${PT} "echo t1 & sleep 0.1 & echo t2"} | STDOUT:*
target={${PT} "sleep 0.05 & echo T1 & sleep 0.1 & echo T2"} | STDOUT:*
{${PT} "echo pause target; flush;   & sleep 0.15 &   echo resume target; flush;"} | [cmd]
